Bug 828838 - Exception when trying to deploy bundle with new parameter
Exception when trying to deploy bundle with new parameter
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning (Show other bugs)
JON 3.0.1
All All
high Severity high
: ---
: JON 3.1.1
Assigned To: John Mazzitelli
Mike Foley
:
Depends On: 820333 828843
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 08:51 EDT by bkramer
Modified: 2013-09-11 06:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 828843
: 828843 (view as bug list)
Environment:
Last Closed: 2013-09-11 06:58:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot that shows the exception (75.12 KB, image/png)
2012-06-05 08:51 EDT, bkramer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 135963 None None None 2012-06-05 09:38:41 EDT

  None (edit)
Description bkramer 2012-06-05 08:51:08 EDT
Created attachment 589518 [details]
screen shot that shows the exception

Description of problem:
Initial deployment of the bundle that contains parameters works fine. However, if I try to deploy new version of the bundle that has an additional parameter, deployment will fail with the following message in the UI: 

Failed to create deployment: java.lang.RuntimeException:[1338882586243] javax.ejb.EJBException:java.lang.IllegalArgumentException: Invalid Configuration: [Required property 'bego.param02' has a null value in Configuration[id=0].] -> java.lang.IllegalArgumentException:Invalid Configuration: [Required property 'bego.param02' has a null value in Configuration[id=0].]



Version-Release number of selected component (if applicable):
JON 3.0.1

How reproducible:
Always

Steps to Reproduce:

1. Upload and deploy the bundle jee_test-1.0.0-SNAPSHOT-bundle.zip (attached with this bugzilla) to a destination. This bundle contains one parameter with a default value - "param 01".

2. Upload the bundle jee_test-1.0.1-SNAPSHOT-bundle.zip (attached here) and deploy it to the same destination. This bundle contains an additional parameter bego.param02 with a default value - "param new". 

3. Press Next (to accept default values);

4. Press Next button (Provide Deployment Information screen);

  
Actual results:

In the "Deploy Bundle to Destination Platforms" screen, the error message is logged:

Failed to create deployment: java.lang.RuntimeException:[1338882586243] javax.ejb.EJBException:java.lang.IllegalArgumentException: Invalid Configuration: [Required property 'bego.param02' has a null value in Configuration[id=0].] -> java.lang.IllegalArgumentException:Invalid Configuration: [Required property 'bego.param02' has a null value in Configuration[id=0].]

(see attached screen shot). 

Expected results:

Deployment should work fine and default value that is defined for bego.param02 should be accepted.

Additional info:

Initial deployment of the bundle that has parameters will work fine. I tried to deploy jee_test-1.0.1-SNAPSHOT-bundle.zip bundle (without 1.0.0 version) and deployment was successful.
Comment 4 John Mazzitelli 2012-06-20 11:03:11 EDT
This looks to be the same as bug 820333 (and bug 818751).
Comment 5 John Mazzitelli 2012-06-20 11:12:20 EDT
For a workaround - set required to "false" and I think it will work. You might also want to consider setting a default value for the new property in your deploy.xml recipe. That might also help work around this (but not sure about that - I'm more confident required="false" will workaround the issue). See bug 828843 for more info.
Comment 6 John Mazzitelli 2012-06-20 16:17:30 EDT
before applying any fix for this bug, you have to apply fix to bug 818751 (git commit 184dabf)
Comment 7 John Mazzitelli 2012-07-18 12:11:21 EDT
git commit to release/jon3.1.x branch: cb5116aa5c55f970a46ea81a59c8bdbbce2ccc04
Comment 8 John Sanda 2012-08-02 14:51:57 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 9 Viet Nguyen 2012-08-08 17:59:43 EDT
Verified with 3.1.1.ER1

Note You need to log in before you can comment on or make changes to this bug.